Name:    broadcom-wireless-config
Version: 1
Release: %mkrel 12
Summary: Broadcom wireless configs
License: GPL
Group:   System/Kernel and hardware
BuildArch: noarch
Source0: broadcom-bcma-blacklist.conf
Source1: broadcom-ssb-blacklist.conf

%description
This package provides default configs and module blacklists
for Broadcom wireless devices.

%package -n broadcom-bcma-config
Summary:   Broadcom wireless configs for bcma supported hardware
Conflicts: broadcom-wl-common
Conflicts: broadcom-ssb-config
Recommends:  kernel-firmware-nonfree

%description -n broadcom-bcma-config
This package provides default configs and module blacklists
for Broadcom wireless devices supported by the bcma module.

%package -n broadcom-ssb-config
Summary:   Broadcom wireless configs for ssb supported hardware
Conflicts: broadcom-wl-common
Conflicts: broadcom-bcma-config
Recommends:  kernel-firmware-nonfree

%description -n broadcom-ssb-config
This package provides default configs and module blacklists
for Broadcom wireless devices supported by the ssb module.

%prep

%build

%install
# add blacklist for conflicting modules
install -m755 -d %{buildroot}%{_sysconfdir}/modprobe.d/
# bcma
install -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/modprobe.d
# ssb
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/modprobe.d


%posttrans -n broadcom-bcma-config
if [ -z "$DURING_INSTALL" ] ; then
    /sbin/rmmod b43 >/dev/null 2>&1 ||:
    /sbin/rmmod b43legacy >/dev/null 2>&1 ||:
    /sbin/rmmod brcmfmac >/dev/null 2>&1 ||:
    /sbin/rmmod brcmsmac >/dev/null 2>&1 ||:
    /sbin/rmmod bcma >/dev/null 2>&1 ||:
    /sbin/rmmod ssb >/dev/null 2>&1 ||:
    /sbin/rmmod wl >/dev/null 2>&1 ||:
    /sbin/modprobe bcma >/dev/null 2>&1 ||:
fi

%posttrans -n broadcom-ssb-config
if [ -z "$DURING_INSTALL" ] ; then
    /sbin/rmmod b43 >/dev/null 2>&1 ||:
    /sbin/rmmod b43legacy >/dev/null 2>&1 ||:
    /sbin/rmmod brcmfmac >/dev/null 2>&1 ||:
    /sbin/rmmod brcmsmac >/dev/null 2>&1 ||:
    /sbin/rmmod bcma >/dev/null 2>&1 ||:
    /sbin/rmmod ssb >/dev/null 2>&1 ||:
    /sbin/rmmod wl >/dev/null 2>&1 ||:
    /sbin/modprobe ssb >/dev/null 2>&1 ||:
fi

%files -n broadcom-bcma-config
%{_sysconfdir}/modprobe.d/broadcom-bcma-blacklist.conf

%files -n broadcom-ssb-config
%{_sysconfdir}/modprobe.d/broadcom-ssb-blacklist.conf


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1-12.mga9
+ Revision: 1800764
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1-11.mga8
+ Revision: 1489359
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-10.mga7
+ Revision: 1260377
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-9.mga7
+ Revision: 1260320
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-8.mga7
+ Revision: 1260033
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1-7.mga6
+ Revision: 939321
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1-6.mga5
+ Revision: 746270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1-5.mga5
+ Revision: 678227
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1-4.mga4
+ Revision: 523526
- Mageia 4 Mass Rebuild

* Fri May 17 2013 tv <tv> 1-3.mga3
+ Revision: 413448
- Suggests instead of Requires kernel-firmware-nonfree
- require kernel-firmware-nonfree (#10115)

* Sat May 04 2013 tmb <tmb> 1-2.mga3
+ Revision: 412312
- silence rmmod warnings when modules are not loaded

* Sat May 04 2013 tmb <tmb> 1-1.mga3
+ Revision: 412251
- add ssb package and blacklist
- add bcma package and blacklist
- imported package broadcom-wireless-config

